package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;

public class V10_0_To_V10_1 extends AbstractUpdate
{
	
	public V10_0_To_V10_1()
	{
		super(10.0,10.1,"Adicionadas normalizacoes para estabelecimentos e empresas");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
				"CREATE TABLE hs_normalizacao_empresa " +
				"( " +
				"	normalizacao_id int4 REFERENCES hs_normalizacao(id), " +
				"	empresa_id int4 REFERENCES empresas(id), " +
				"	CONSTRAINT hs_normalizacao_empresa_pkey PRIMARY KEY(normalizacao_id,empresa_id) " +
				"); " +
				"CREATE TABLE hs_normalizacao_estabelecimento " +
				"( " +
				"	normalizacao_id int4 REFERENCES hs_normalizacao(id), " +
				"	estabelecimento_id int4 REFERENCES estabelecimentos(id), " +
				"	CONSTRAINT hs_normalizacao_estabelecimento_pkey PRIMARY KEY(normalizacao_id,estabelecimento_id) " +
				");"
		);
		executer.executeQuery( update );
	}
	
}
